XMLWriter::writeDTD
XMLWriter::writeElement
XMLWriter Functions
PHP Manual

# XMLWriter::writeElementNS

(No version information available, might be only in CVS)

XMLWriter::writeElementNS — Write full namesapced element tag

### Description

Object oriented style:

XMLWriter
bool writeElementNS ( string `$prefix` , string `$name` , string `$uri` [, string `$content` ] )

Procedural style:

bool xmlwriter_write_element_ns ( resource `$xmlwriter` , string `$prefix` , string `$name` , string `$uri` [, string `$content` ] )

Writes a full namesapced element tag.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`prefix`

  The namespace prefix.

`name`

  The element name.

`uri`

  The namespace URI.

`content`

  The element contents.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
PHP 5.2.3 | The `content` parameter became optional.

### See Also

- XMLWriter::startElementNS
- XMLWriter::endElement
- XMLWriter::writeElement

XMLWriter::writeDTD
XMLWriter::writeElement
XMLWriter Functions
PHP Manual